#!/bin/sh

# This is a 'bootstrap' script called by the initial ramdisk, that allows the application component
# to perform initialization operations in initrd context (i.e., before we are fully booted). We
# are called last to guarantee that the appropriate partitions are mounted, directory structure
# created, etc.

# create device nodes
mkdir -p /dev
/bin/makedevs -d /usr/local/cfg/device_table.txt /
mount -a
initrd/dev/pbi_cf_dev.sh

# load modules defined in apps image
source /lib/modules/modprobe.txt
for mod in $SOHO_MODULES; do
	echo "Loading $mod..."
	PATH=/sbin /sbin/modprobe $mod
done

# for postfix
mkdir -p /var/spool/postfix

# enable core dumps
echo "/mnt/system/cores/%e.core" > /proc/sys/kernel/core_pattern
touch /.init_enable_core

